humanmade/mercator-gui

This package is not installable via Composer 1.x, please make sure you upgrade to Composer 2+. Read more about our Composer 1.x deprecation policy.

Admin interface component for Mercator.

Installs: 15

Dependents: 0

Suggesters: 0

Security: 0

Stars: 18

Watchers: 33

Forks: 5

Open Issues: 6

Type:wordpress-muplugin

dev-master 2017-06-13 08:58 UTC

This package is auto-updated.

Last update: 2021-12-05 00:09:01 UTC


README

Admin interface component for Mercator.

Allows you to manage aliases via the WP network admin.

Requirements

Mercator requires WordPress 3.9 or newer for the new sunrise processes. Mercator also requires PHP 5.3+ due to the use of namespaced code.

Installation

Include the file gui.php from your sunrise.php in the same way you include Mercator itself.

NOTE include gui.php before mercator.php itself!

For example:

<?php
// Default mu-plugins directory if you haven't set it
defined( 'WPMU_PLUGIN_DIR' ) or define( 'WPMU_PLUGIN_DIR', WP_CONTENT_DIR . '/mu-plugins' );

require WPMU_PLUGIN_DIR . '/mercator-gui/gui.php';
require WPMU_PLUGIN_DIR . '/mercator/mercator.php';

License

Mercator is licensed under the GPLv2 or later.

Credits

Created by Human Made for high volume and large-scale sites, such as Happytables. We run Mercator on sites with millions of monthly page views, and thousands of sites.

Written and maintained by Ryan McCue. Thanks to all our contributors.

Mercator builds on concepts from WPMU Domain Mapping, written by Donncha O'Caoimh, Ron Rennick, and contributors.

Mercator relies on WordPress core, building on core functionality added in WP27003. Thanks to all involved in the overhaul, including Andrew Nacin and Jeremy Felt.

Interested in joining in on the fun? Join us, and become human!